Deprecate Ruby 1.8 tests
authorRaphaël Pinson <raphael.pinson@camptocamp.com>
Mon, 11 Jul 2016 12:09:36 +0000 (14:09 +0200)
committerRaphaël Pinson <raphael.pinson@camptocamp.com>
Mon, 11 Jul 2016 12:09:36 +0000 (14:09 +0200)
.travis.yml
Gemfile
Rakefile
spec/acceptance/nodesets/centos-5.yml
spec/acceptance/nodesets/centos-6.yml

index 01ca316..d816b71 100644 (file)
@@ -11,8 +11,6 @@ script: ["bundle exec rake validate", "bundle exec rake lint", "bundle exec rake
 matrix:
   fast_finish: true
   include:
-  - rvm: 1.8.7
-    env: PUPPET_GEM_VERSION="~> 3.0" FACTER_GEM_VERSION="~> 1.7.0"
   - rvm: 1.9.3
     env: PUPPET_GEM_VERSION="~> 3.0"
   - rvm: 2.0.0
diff --git a/Gemfile b/Gemfile
index f0d7a49..1c22776 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -1,8 +1,8 @@
 source ENV['GEM_SOURCE'] || "https://rubygems.org"
 
 group :development, :unit_tests do
-  gem 'rake', ' < 11.0',                                   :require => false if RUBY_VERSION =~ /^1\.8/
-  gem 'rspec', '< 3.2',                                    :require => false if RUBY_VERSION =~ /^1\.8/
+  gem 'rake',                                              :require => false
+  gem 'rspec',                                             :require => false
   gem 'rspec-puppet',                                      :require => false
   gem 'puppetlabs_spec_helper',                            :require => false
   gem 'metadata-json-lint',                                :require => false
@@ -17,7 +17,6 @@ group :development, :unit_tests do
   gem 'puppet-lint-trailing_comma-check',                  :require => false
   gem 'puppet-lint-file_ensure-check',                     :require => false
   gem 'puppet-lint-version_comparison-check',              :require => false
-  gem 'puppet-lint-fileserver-check',                      :require => false
   gem 'puppet-lint-file_source_rights-check',              :require => false
   gem 'puppet-lint-alias-check',                           :require => false
   gem 'rspec-puppet-facts',                                :require => false
@@ -30,6 +29,7 @@ group :system_tests do
   gem 'beaker-rspec',        :require => false
   gem 'beaker_spec_helper',  :require => false
   gem 'serverspec',          :require => false
+  gem 'specinfra',           :require => false
 end
 
 if facterversion = ENV['FACTER_GEM_VERSION']
index 61faa29..ab65ceb 100644 (file)
--- a/Rakefile
+++ b/Rakefile
@@ -14,10 +14,4 @@ PuppetSyntax.exclude_paths = ["spec/fixtures/**/*.pp", "vendor/**/*"]
 unless RUBY_VERSION =~ /^1\./
   require 'puppet_blacksmith'
   require 'puppet_blacksmith/rake_tasks'
-  #require 'github_changelog_generator/task'
-  #GitHubChangelogGenerator::RakeTask.new :changelog do |config|
-  #  m = Blacksmith::Modulefile.new
-  #  config.future_release = m.version
-  #  config.release_url = "https://forge.puppetlabs.com/#{m.author}/#{m.name}/%s"
-  #end
 end
index b7ed0e5..a26f27f 100644 (file)
@@ -10,6 +10,7 @@ HOSTS:
     docker_cmd: '["/sbin/init"]'
     docker_image_commands:
       - 'yum install -y crontabs tar wget which'
+      - 'sed -i -e "/mingetty/d" /etc/inittab'
 CONFIG:
   type: aio
   log_level: debug
index c82c10d..71e23cd 100644 (file)
@@ -11,6 +11,7 @@ HOSTS:
     docker_image_commands:
       - 'rm -rf /var/run/network/*'
       - 'yum install -y crontabs tar wget'
+      - 'rm /etc/init/tty.conf'
 CONFIG:
   type: aio
   log_level: debug